Bug 75535 - Wrong sysfont after removing kudzu
Summary: Wrong sysfont after removing kudzu
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-09 17:20 UTC by Mattias Dahlberg
Modified: 2014-03-17 02:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-14 05:12:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mattias Dahlberg 2002-10-09 17:20:28 UTC
Description of problem:
Short: Removing kudzu means removing UTF-8 support for boot messages.

Longer: I used redhat-config-services to remove kudzu from startup and after 
that several (translated) initscript messages were displayed wrongly. Re-adding 
kudzu everyone looked fine again.

Theory: the kudzu script executes the lang.sh script which checks in i18n for 
the correct sysfont. Without kudzu in the startup lang.sh never gets executed 
and the correct sysfont never gets set.

Known?


How reproducible:
Always

Steps to Reproduce:
1. Use another language than English
2. Remove kudzu from the startup
3. Watch for umlauts

Comment 1 Miloslav Trmac 2002-10-09 20:57:01 UTC
Known rather long, but still unfixed :-(
Bug 30469

Comment 2 Bill Nottingham 2003-01-14 05:12:55 UTC
This should work now as of 7.03-1.


Note You need to log in before you can comment on or make changes to this bug.